SubscriberInterface (gCube Messages Portlet 0.4.0-3.1.0 API)
Date: 2014-05-11

org.gcube.portlets.user.messages.client.interfaces

## Interface SubscriberInterface

- All Known Implementing Classes:
    MessagesApplicationSubscriber

      public interface SubscriberInterface

  Author:
    Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `createNewMessage(HashMap<String,String> hashAttachs)`
    `void` | `deleteMessage(String id)`
    `void` | `forwardMessage(String fromLogin, String subject, List<String> listContactsLogin, Date date, HashMap<String,String> hashAttachs, String textMessage)`
    `void` | `loadReceivedMessages()`
    `void` | `loadSentMessages()`
    `void` | `markAsReadMessage(String id, boolean isRead)`
    `void` | `replyMessage(String fromLogin, String subject, List<String> listContactsLogin, Date date, String textMessage)`
    `void` | `rootLoaded(FileModel root)`
    `void` | `updatePrevieMessage(MessageModel message)`

- - ### Method Detail

    - #### rootLoaded

          void rootLoaded(FileModel root)

    - #### loadSentMessages

          void loadSentMessages()

    - #### loadReceivedMessages

          void loadReceivedMessages()

    - #### deleteMessage

          void deleteMessage(String id)

    - #### markAsReadMessage

          void markAsReadMessage(String id,
                               boolean isRead)

    - #### updatePrevieMessage

          void updatePrevieMessage(MessageModel message)

    - #### createNewMessage

          void createNewMessage(HashMap<String,String> hashAttachs)

    - #### forwardMessage

          void forwardMessage(String fromLogin,
                            String subject,
                            List<String> listContactsLogin,
                            Date date,
                            HashMap<String,String> hashAttachs,
                            String textMessage)

    - #### replyMessage

          void replyMessage(String fromLogin,
                          String subject,
                          List<String> listContactsLogin,
                          Date date,
                          String textMessage)

Copyright © 2014. All Rights Reserved.